[GRASS-SVN] r67842 - in grass/trunk: . tools/vagrant

svn_grass at osgeo.org svn_grass at osgeo.org
Tue Feb 16 00:37:17 PST 2016


Author: martinl
Date: 2016-02-16 00:37:17 -0800 (Tue, 16 Feb 2016)
New Revision: 67842

Added:
   grass/trunk/tools/vagrant/clean.sh
   grass/trunk/tools/vagrant/compile.sh
Removed:
   grass/trunk/tools/vagrant/grass.sh
Modified:
   grass/trunk/Vagrantfile
Log:
vagrant: add support for provisioning

Modified: grass/trunk/Vagrantfile
===================================================================
--- grass/trunk/Vagrantfile	2016-02-16 07:09:20 UTC (rev 67841)
+++ grass/trunk/Vagrantfile	2016-02-16 08:37:17 UTC (rev 67842)
@@ -97,10 +97,15 @@
       # install packages we need we need
       pkg_cmd << "apt-get install -q -y " + packageList.join(" ") << " ; "
       host.vm.provision :shell, :inline => pkg_cmd
+
       scripts = [
-        "grass.sh",
+      "clean.sh",
       ];
       scripts.each { |script| host.vm.provision :shell, :privileged => false, :path => "tools/vagrant/" << script }
     end
+    scripts = [
+      "compile.sh",
+    ];
+    scripts.each { |script| host.vm.provision :shell, :privileged => false, :path => "tools/vagrant/" << script }
   end
 end

Added: grass/trunk/tools/vagrant/clean.sh
===================================================================
--- grass/trunk/tools/vagrant/clean.sh	                        (rev 0)
+++ grass/trunk/tools/vagrant/clean.sh	2016-02-16 08:37:17 UTC (rev 67842)
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+# abort install if any errors occur and enable tracing
+set -o errexit
+set -o xtrace
+
+cd /vagrant
+
+if [ -f "include/Make/Platform.make" ] ; then
+    make cleandistdirs
+    make distclean
+fi
+
+exit 0


Property changes on: grass/trunk/tools/vagrant/clean.sh
___________________________________________________________________
Added: svn:executable
   + *
Added: svn:mime-type
   + text/x-sh
Added: svn:eol-style
   + native

Copied: grass/trunk/tools/vagrant/compile.sh (from rev 67841, grass/trunk/tools/vagrant/grass.sh)
===================================================================
--- grass/trunk/tools/vagrant/compile.sh	                        (rev 0)
+++ grass/trunk/tools/vagrant/compile.sh	2016-02-16 08:37:17 UTC (rev 67842)
@@ -0,0 +1,56 @@
+#!/bin/sh
+
+### inspired by https://svn.osgeo.org/gdal/trunk/gdal/scripts/vagrant/gdal.sh
+
+# abort install if any errors occur and enable tracing
+set -o errexit
+set -o xtrace
+
+NUMTHREADS=2
+if [[ -f /sys/devices/system/cpu/online ]]; then
+	# Calculates 1.5 times physical threads
+	NUMTHREADS=$(( ( $(cut -f 2 -d '-' /sys/devices/system/cpu/online) + 1 ) * 15 / 10  ))
+fi
+#NUMTHREADS=1 # disable MP
+export NUMTHREADS
+
+cd /vagrant
+
+if [ ! -f "include/Make/Platform.make" ] ; then
+    ./configure \
+        --bindir=/usr/bin \
+        --srcdir=/vagrant \
+        --prefix=/usr/lib \
+        --enable-socket \
+        --enable-shared \
+        --with-postgres \
+        --with-mysql \
+        --with-cxx \
+        --with-x \
+        --with-gdal \
+        --with-geos \
+        --with-freetype \
+        --with-motif \
+        --with-readline \
+        --with-nls \
+        --with-odbc \
+        --with-netcdf \
+        --with-blas \
+        --with-lapack \
+        --with-sqlite \
+        --enable-largefile \
+        --with-freetype-includes=/usr/include/freetype2 \
+        --with-postgres-includes=`pg_config --includedir` \
+        --with-mysql-includes=`mysql_config --include | sed -e 's/-I//'` \
+        --with-proj-share=/usr/share/proj \
+        --with-wxwidgets=/usr/bin/wx-config \
+        --with-python \
+        --with-cairo
+fi
+
+make -j $NUMTHREADS
+
+sudo make install
+sudo ldconfig
+
+exit 0

Deleted: grass/trunk/tools/vagrant/grass.sh
===================================================================
--- grass/trunk/tools/vagrant/grass.sh	2016-02-16 07:09:20 UTC (rev 67841)
+++ grass/trunk/tools/vagrant/grass.sh	2016-02-16 08:37:17 UTC (rev 67842)
@@ -1,57 +0,0 @@
-#!/bin/sh
-
-### inspired by https://svn.osgeo.org/gdal/trunk/gdal/scripts/vagrant/gdal.sh
-
-# abort install if any errors occur and enable tracing
-set -o errexit
-set -o xtrace
-
-NUMTHREADS=2
-if [[ -f /sys/devices/system/cpu/online ]]; then
-	# Calculates 1.5 times physical threads
-	NUMTHREADS=$(( ( $(cut -f 2 -d '-' /sys/devices/system/cpu/online) + 1 ) * 15 / 10  ))
-fi
-#NUMTHREADS=1 # disable MP
-export NUMTHREADS
-
-cd /vagrant
-
-if [ -f "include/Make/Platform.make" ] ; then
-    make cleandistdirs
-    make distclean
-fi
-./configure \
-    --bindir=/usr/bin \
-    --srcdir=/vagrant \
-    --prefix=/usr/lib \
-    --enable-socket \
-    --enable-shared \
-    --with-postgres \
-    --with-mysql \
-    --with-cxx \
-    --with-x \
-    --with-gdal \
-    --with-geos \
-    --with-freetype \
-    --with-motif \
-    --with-readline \
-    --with-nls \
-    --with-odbc \
-    --with-netcdf \
-    --with-blas \
-    --with-lapack \
-    --with-sqlite \
-    --enable-largefile \
-    --with-freetype-includes=/usr/include/freetype2 \
-    --with-postgres-includes=`pg_config --includedir` \
-    --with-mysql-includes=`mysql_config --include | sed -e 's/-I//'` \
-    --with-proj-share=/usr/share/proj \
-    --with-wxwidgets=/usr/bin/wx-config \
-    --with-python \
-    --with-cairo
-# --with-liblas=/usr/bin/liblas-config \
-
-make -j $NUMTHREADS
-
-sudo make install
-sudo ldconfig



More information about the grass-commit mailing list